package com.steerinfo.ems.trmunit.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TRmUnit implements IBasePO<String> {
    /**
     * 单位代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="单位代码",required=false)
    private String id;

    /**
     * 单位名称(NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="单位名称",required=true)
    private String name;

    /**
     * 英文名称(ENAME,VARCHAR,60)
     */
    @ApiModelProperty(value="英文名称",required=true)
    private String ename;

    /**
     * 其他名称(QNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="其他名称",required=true)
    private String qname;

    /**
     * 是否标准单位(ISSTD,VARCHAR,1)
     */
    @ApiModelProperty(value="是否标准单位",required=true)
    private String isstd;

    /**
     * 标准单位ID(STDID,VARCHAR,60)
     */
    @ApiModelProperty(value="标准单位ID",required=true)
    private String stdid;

    /**
     * 折算公式(STDEXP,VARCHAR,200)
     */
    @ApiModelProperty(value="折算公式",required=true)
    private String stdexp;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getEname() {
        return ename;
    }

    public void setEname(String ename) {
        this.ename = ename == null ? null : ename.trim();
    }

    public String getQname() {
        return qname;
    }

    public void setQname(String qname) {
        this.qname = qname == null ? null : qname.trim();
    }

    public String getIsstd() {
        return isstd;
    }

    public void setIsstd(String isstd) {
        this.isstd = isstd == null ? null : isstd.trim();
    }

    public String getStdid() {
        return stdid;
    }

    public void setStdid(String stdid) {
        this.stdid = stdid == null ? null : stdid.trim();
    }

    public String getStdexp() {
        return stdexp;
    }

    public void setStdexp(String stdexp) {
        this.stdexp = stdexp == null ? null : stdexp.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", ename=").append(ename);
        sb.append(", qname=").append(qname);
        sb.append(", isstd=").append(isstd);
        sb.append(", stdid=").append(stdid);
        sb.append(", stdexp=").append(stdexp);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}